PKCS8_PRIV_KEY_INFO_NEW(3)

NAME
PKCS8_PRIV_KEY_INFO_new, PKCS8_PRIV_KEY_INFO_free - PKCS#8 private key information

SYNOPSIS
#include <openssl/x509.h>
PKCS8_PRIV_KEY_INFO *
PKCS8_PRIV_KEY_INFO_new(void);
void
PKCS8_PRIV_KEY_INFO_free(PKCS8_PRIV_KEY_INFO *key);

DESCRIPTION
PKCS8_PRIV_KEY_INFO_new() allocates and initializes an empty PKCS8_PRIV_KEY_INFO object, representing an ASN.1 PrivateKeyInfo structure defined in RFC 5208 section 5. It can hold a private key together with information about the algorithm to be used with it and optional attributes.

PKCS8_PRIV_KEY_INFO_free() frees key.

RETURN VALUES
PKCS8_PRIV_KEY_INFO_new() returns the new PKCS8_PRIV_KEY_INFO object or NULL if an error occurs.

SEE ALSO
d2i_PKCS8_PRIV_KEY_INFO(3), d2i_PKCS8PrivateKey_bio(3), EVP_PKCS82PKEY(3), EVP_PKEY_asn1_set_private(3), PEM_read_PKCS8_PRIV_KEY_INFO(3), PKCS12_parse(3), PKCS8_pkey_set0(3), X509_ATTRIBUTE_new(3)

STANDARDS
RFC 5208: PKCS#8: Private-Key Information Syntax Specification

HISTORY
PKCS8_PRIV_KEY_INFO_new() and PKCS8_PRIV_KEY_INFO_free() first appeared in OpenSSL 0.9.3 and have been available since OpenBSD 2.6.